/** *********************************************************************
 \file fonction1-V02.cpp

    \brief Ce programmme additionne trois valeurs.

    \author   Gabriel Girard
    \date     7 aout 2014
    \version  0.2

    <b>Entrees:</b>
        \li (\c clavier) a  (\c reel)
        \li (\c clavier) b  (\c reel)
        \li (\c clavier) c  (\c reel)

    <b>Sorties:</b>
        \li (\c ecran) total  (\c reel)

    Ce programme contient encore une ou plusieurs erreurs.....
    Trouvez-les!!
********************************************************************** **/

/*-- Bibliotheques utilisees  --*/
#include <iostream>

using namespace std;

/**
    \brief Programme principal effectuant la lecture des valeurs
           et l'affichage du resultat
 **/
int main()
{
  // fonctions utilisees
  float aditionner(float a, float b, float c);

  // donnees locales
  float a,b,c,total;

  // lecture des trois valeurs
  cout << "Entrez les trois valeurs a additionner: " ;
  cin >> a >> b >> c; ;
  // Addition des trois valeurs
  total = aditionner(a,b,c) ;
  // Affichage du resultat
  cout << "\nLa somme de " << a << " + " << b << " + "<< c
       << " est " << total << endl << endl;

  return 0;
}

/** ***********************************************************************
 \brief Cette fonction additionne trois valeurs reelles

  \param[in]  val1 - premiere valeure
  \param[in]  val1 - seconde valeure
  \param[in]  val1 - troisieme valeure

  \return La somme des trois valeurs

************************************************************************ **/
float additionner(float val1, float val2, float val3)
{

  return val1+val2+val3;
}

